<template>
    <form class="form" @submit="submitLoginForm">
        <p class="form-title">
            {{ local.title[$lang] }}
        </p>
        <img class="form-close"
             src="/assets/img/close.png"
             alt=""
             @click="onCloseForm"
        >
        <label class="form-group">
            <p>{{ local.userName[$lang] }}</p>
            <input type="text" name="name" :placeholder="local.userName[$lang]">
        </label>

        <label class="form-group">
            <p>{{ local.password[$lang] }}</p>
            <input type="password" name="email" :placeholder="local.password[$lang]">
        </label>

        <input class="form-submit" type="submit" :value="local.login[$lang]">

        <button class="form-sign_in_btn"
                @click="switchToAccessForm"
        >
            {{ local.registration[$lang] }}
        </button>
    </form>
</template>

<script>
    import local from '../../localisation/modals/loginFormLocalisation.js';

    export default {
        data: ()=>({
           local
        }),
        methods: {
            onCloseForm() {
                this.$emit('formClosedEvent');
            },
            submitLoginForm(e) {
                e.preventDefault;
                this.$emit('formClosedEvent');
            },
            switchToAccessForm(e) {
                e.preventDefault();
                this.$emit('switchToAccessForm');
            }
        }
    }
</script>

<style lang="scss" scoped>
    .form {
        background-color: #fff;
        width: 100%;
        max-width: 480px;
        border-radius: 8px;
        padding: 36px 0 0;
        position: relative;
        text-align: center;
        @media(max-width: 620px){
               margin: 10px;

        }
        &>:not(:last-child) {
            padding: 0 100px;
            width: 100%;
             @media(max-width: 620px){
               padding:0 50px;

        }
        }
        &-title {
            text-align: left;
            width: 234px;
            height: 30px;
            font-family: OpenSans;
            font-size: 18px;
            text-transform: uppercase;
            line-height: 1.67;
            color: #83919c;
            margin-bottom: 35px;
            @media(max-width: 620px){
              font-size: 14px;

        }
        }
        &-close {
            position: absolute;
            top: 38px;
            right: 100px;
            padding: 0!important;
            width: 24px!important;
             @media(max-width: 620px){
                right: 40px;

        }
            &:hover {
                cursor: pointer;
            }
        }
        &-group {
            display: flex;
            flex-wrap: wrap;
            align-content: flex-end;
            height: 50px;
            &:not(:last-of-type) {
                margin-bottom: 20px;
            }
            p {
                height: 18px;
                /*font-family: FuturaPT;*/
                font-size: 14px;
                color: #afc3d3;
                margin-bottom: 5px;
            }
            input {
                width: 100%;
                height: 26px;
                outline: none;
                font-size: 16px;
                color: #333333;
                border: none;
                border-bottom: 1px solid  #d1dde6;
                transition: all 0.3s;
                &[type="password"] {
                    letter-spacing: 5px;
                }
                &::-webkit-input-placeholder {
                    font-size: inherit;
                    color: inherit;
                    letter-spacing: normal;
                }
                &:focus {
                    border-bottom-color: #95c11f;
                }
            }
        }
        &-submit {
            outline: none;
            width: calc(100% - 200px)!important;
            margin-top: 37px;
            text-transform: uppercase;
            height: 52px;
            border-radius: 50px;
            border: solid 2px #30b164;
            color: #30b164;
            font-family: 'Comfortaa', sans-serif;
            background-color: #fff;
            font-size: 14px;
            font-weight: bold;
            letter-spacing: 1px;
             @media(max-width: 620px){
                 width: calc(100% - 50px)!important

            }
        }
        &-sign_in_btn {
            width: 100%;
            height: 90px;
            border-radius: 0 0 8px 8px;
            margin-top: 43px;
            border: none;
            outline: none;
            background-color: #30b164;
            font-family: 'Comfortaa', sans-serif;
            font-size: 14px;
            font-weight: bold;
            letter-spacing: 1px;
            text-align: center;
            color: #ffffff;
            text-transform: uppercase;
        }
    }
</style>
